org.bdgenomics.adam.cli

# ViewArgs

###
Related Doc: package cli

#### class ViewArgs extends Args4jBase with ParquetArgs with ADAMSaveAnyArgs

Linear Supertypes
ADAMSaveAnyArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ViewArgs
2. ADAMSaveAnyArgs
3. SaveArgs
4. ParquetArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ViewArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var asSingleFile: Boolean

   Definition Classes
     ViewArgs → ADAMSaveAnyArgs

6. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var deferMerging: Boolean

   Definition Classes
     ViewArgs → ADAMSaveAnyArgs

10. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var disableFastConcat: Boolean

    Definition Classes
      ViewArgs → ADAMSaveAnyArgs

12. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### var inputPath: String

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### var logLevel: String

    Definition Classes
      ParquetArgs

21. #### var matchAllBits: Int

22. #### var matchSomeBits: Int

23. #### var mismatchAllBits: Int

24. #### var mismatchSomeBits: Int

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### var outputPath: String

    Definition Classes
      ViewArgs → SaveArgs

29. #### var outputPathArg: String

30. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

31. #### var printCount: Boolean

32. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

33. #### var sortFastqOutput: Boolean

    Definition Classes
      ViewArgs → ADAMSaveAnyArgs

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped